# Uses of Interface
org.eclipse.mat.parser.index.IIndexReader.IOne2OneIndex

Packages that use IIndexReader.IOne2OneIndex
Package
Description
org.eclipse.mat.parser
Interfaces for handling indexes.
org.eclipse.mat.parser.index
Implementations for handling indexes.

## Uses of IIndexReader.IOne2OneIndex in org.eclipse.mat.parser

Methods in org.eclipse.mat.parser with parameters of type IIndexReader.IOne2OneIndex
Modifier and Type
Method
Description
`void`
IPreliminaryIndex.`setObject2classId(IIndexReader.IOne2OneIndex object2classId)`
store the object id to class id mapping

## Uses of IIndexReader.IOne2OneIndex in org.eclipse.mat.parser.index

Subinterfaces of IIndexReader.IOne2OneIndex in org.eclipse.mat.parser.index
Modifier and Type
Interface
Description
`static interface`
`IIndexReader.IOne2SizeIndex`
Index from object id to size, stored compressed as an int.
Classes in org.eclipse.mat.parser.index that implement IIndexReader.IOne2OneIndex
Modifier and Type
Class
Description
`static class`
`IndexReader.IntIndexReader`
An int to int index reader.
`static class`
`IndexReader.SizeIndexReader`
Creates a index reader for array sizes, presuming the sizes are stored as ints and get expanded in the reverse of the compression.
`static class`
`IndexWriter.IntIndexCollector`
A collector of ArrayIntCompressed.
Fields in org.eclipse.mat.parser.index declared as IIndexReader.IOne2OneIndex
Modifier and Type
Field
Description
`IIndexReader.IOne2OneIndex`
IndexManager.`domIn`
The dominator tree index from an object to the object which dominates it.
`IIndexReader.IOne2OneIndex`
IndexManager.`o2c`
The index from object ID to the type as a class ID
Methods in org.eclipse.mat.parser.index that return IIndexReader.IOne2OneIndex
Modifier and Type
Method
Description
`IIndexReader.IOne2OneIndex`
IndexManager.`dominator()`
The index reader for each object to the object which dominates it
`IIndexReader.IOne2OneIndex`
IndexManager.`o2class()`
The index for each object to class.
`IIndexReader.IOne2OneIndex`
IndexWriter.IntIndexCollector.`writeTo(DataOutputStream out, long position)`
`IIndexReader.IOne2OneIndex`
IndexWriter.IntIndexCollector.`writeTo(File indexFile)`
Write the collector to a file.
`IIndexReader.IOne2OneIndex`
IndexWriter.IntIndexCollectorUncompressed.`writeTo(File indexFile)`
Store the collector to a file.
`IIndexReader.IOne2OneIndex`
IndexWriter.IntIndexStreamer.`writeTo(DataOutputStream out, long position, int[] array)`
Write out a page at a particular position.
`IIndexReader.IOne2OneIndex`
IndexWriter.IntIndexStreamer.`writeTo(DataOutputStream out, long position, IteratorInt iterator)`
Write out a page at a particular position.
`IIndexReader.IOne2OneIndex`
IndexWriter.IntIndexStreamer.`writeTo(File indexFile, int[] array)`
Write an array to a file and return an index reader.
`IIndexReader.IOne2OneIndex`
IndexWriter.IntIndexStreamer.`writeTo(File indexFile, IteratorInt iterator)`
Constructors in org.eclipse.mat.parser.index with parameters of type IIndexReader.IOne2OneIndex
Modifier
Constructor
Description
``
`IntIndex1NSortedReader(File indexFile, IIndexReader.IOne2OneIndex header, IIndexReader.IOne2OneIndex body)`
``
`SizeIndexReader(IIndexReader.IOne2OneIndex idx)`
Construct a size index reader based on a int index holding the compressed data